<template>
	<div class="flex items-center">
		<span
			:class="[classActive]"
			class="pbar-step flex items-center justify-center rounded-3xl border border-black w-8 md:w-9 lg:w-11 h-8 md:h-9 lg:h-11 font-secondary-font-regular text-base md:text-xl lg:text-2xl leading-5 md:leading-6 lg:leading-8"
			>{{ stepNumber }}</span
		>
		<h2
			class="font-secondary-font-regular text-xl md:text-2xl leading-6 md:leading-7 lg:leading-8 focus:ring focus-ringtext-2xl pl-4 lg:pl-6"
			v-html="stepTitle"
		>
			{{ stepTitle }}
		</h2>
	</div>
</template>
<script>
export default {
	name: 'MkStepProgress',
	props: {
		classActive: {
			type: String,
			default: '',
		},
		stepTitle: {
			type: String,
			default: '',
		},
		stepNumber: {
			type: Number,
			default: null,
		},
	},
};
</script>
<style lang="postcss">
.active {
	background: #7befb2;
	border: none;
}

@media screen and (-webkit-min-device-pixel-ratio: 2) {
	.pbar-step {
		padding-top: 6px;
		line-height: normal;
	}
}
</style>
